from flask import Flask, render_template, render_template_string, redirect, request, session, escape, url_for, jsonify, abort
import os

##############################################
# de stack overflow:
#   Changing default encoding of Python?
import sys
# sys.setdefaultencoding() does not exist, here!
reload(sys)  # Reload does the trick!
sys.setdefaultencoding('UTF8')
##############################################

import adminadmin, adminfacultad, adminenfermeria, adminencargados, adminestudiantes


app = Flask(__name__)

@app.route("/", methods=['GET', 'POST'])
@app.route("/home/", methods=['GET', 'POST'])
def home():
    return render_template('dash.html', jscript="perfilesInfo.js")


#################################
import adminusers
@app.route("/users/", methods=['GET', 'POST'])
def users():
    return render_template('table.html', jscript="adminver.js", pagina='users')
#################################


@app.route("/<perfil>/ver/", methods=['GET', 'POST'])
@app.route("/<perfil>/ver/<pagina>/", methods=['GET', 'POST'])
def perfil(perfil, pagina=None):
    if (perfil=='admin'):
        if (pagina==None):
            return render_template('dash.html', jscript="admin.js", pagina=pagina)
        if(pagina in ['admin','facultad','enfermeria','encargados','estudiantes']):
            return render_template('table.html', jscript="adminver.js", pagina=pagina)
    return render_template('error.html')

# @app.route("/<perfil>/editar/<pagina>/", methods=['GET', 'POST'])
# @app.route("/<perfil>/editar/<pagina>/<id>", methods=['GET', 'POST'])
# def perfil(perfil, pagina, id=None):
#     if (perfil=='admin'):
#         if (pagina=='estudiante'):
#             return render_template('dash.html', jscript="admin.js", pagina=pagina)
#         if(pagina in ['admin','facultad','enfermeria','encargados','estudiantes']):
#             return render_template('table.html', jscript="adminver.js", pagina=pagina)
#     return render_template('error.html')

@app.route('/<perfil>/datos/', methods=['GET', 'POST'])
@app.route('/<perfil>/datos/<pagina>/', methods=['GET', 'POST'])
def datos(perfil, pagina=None):
    if(perfil=="admin"):
        if(pagina=="admin"):
            return adminadmin.admin()
        if(pagina=="facultad"):
            return adminfacultad.facultad()
        if(pagina=="enfermeria"):
            return adminenfermeria.enfermeria()
        if(pagina=="encargados"):
            return adminencargados.encargados()
        if(pagina=="estudiantes"):
            return adminestudiantes.estudiantes()
#################################
        if(pagina=="users"):
            return adminusers.users()
#################################

app.secret_key = os.urandom(52)
if __name__ == "__main__":
    app.run(host='0.0.0.0', port=9000, debug=True)
