# from sqlalchemy import metadata
import sqlalchemy as db

#########################
# stack overflow:
    # Python sanitizing html from a string
def escape(htmlstring):
    escapes = {'\"': '&quot;',
               '\'': '&#39;',
               '<': '&lt;',
               '>': '&gt;'}
    # This is done first to prevent escaping other escapes.
    htmlstring = htmlstring.replace('&', '&amp;')
    for seq, esc in escapes.iteritems():
        htmlstring = htmlstring.replace(seq, esc)
    return htmlstring
#########################

# connect to server
engine = db.create_engine('mysql+pymysql://root:@0.0.0.0/registro_escolar_1')

connection = engine.connect()
# estudiantes = db.Table('estudiantes', metadata, autoload=True, autoload_with=engine)
# usuarios = db.Table('usuarios', metadata, autoload=True, autoload_with=engine)

def enfermeria():
    query = 'SELECT u.id, u.nombres, u.apellidos, u.email FROM usuarios u,enfermeras e WHERE u.id = e.user_id'
    result_db = connection.execute(query).fetchall()

    ###### headers

    headers = '['
    headers += '{"nombre":"Nombre"}'
    headers += ','
    headers += '{"nombre":"Especialidad"}'
    headers += ','
    headers += '{"nombre":"Email"}'
    headers += ','
    headers += '{"nombre":"Informacion"}'
    headers += ','
    headers += '{"nombre":"Editar"}'
    headers += ']'
    # headers = '[{"nombre":"Nombre"},{"nombre":"Posicion"},{"nombre":"Informacion"},{"nombre":"Editar"}]'

    ###### tabla


    tabla = '['
    i = 0
    len_result = len(result_db)
    for q in result_db:
        i = i+1
        tabla += '{'
        tabla += '"Nombre":"'+escape(q[1])+' '+escape(q[2])+'"'
        tabla += ','

        query = 'SELECT especialidad FROM enfermeras e WHERE e.user_id = ' + str(q[0])
        especialidad = connection.execute(query).fetchall()

        tabla += '"Especialidad":"'+escape(str(especialidad[0][0]))+'"'
        # tabla += '"ID":"'+str(q[0])+'"'
        tabla += ','
        tabla += '"Email":"'+escape(q[3])+'"'
        tabla += ','
        tabla += '"user_id":"'+str(q[0])+'"'
        tabla += '}'
        if i < len_result:
            tabla += ','
    tabla += ']'

    ###### info

    info = '{'
    info += '"dash_name":"Manejar Enfermeria"'
    info += ','
    info += '"dash_link":"/admin/ver/"'
    info += ','
    info += '"dash_sub_name":"Enfermeras Registrados"'
    info += ','
    info += '"add":"Anadir Enfermera"'
    info += ','
    info += '"add_link":"#"'
    info += ','
    info += '"dir1":"#"'
    info += ','
    info += '"dir2":"#"'
    info += '}'

    ###### modal

    modal = '{'
    modal += '"infoName":"Ver informacion"'
    modal += ','
    modal += '"editName":"/admin/ver/"'
    modal += '}'
    # modal = '{"yeas":"yes"}'

    # # result = '{'+headers+','+tabla+','+info+','+modal+'}'
    # result = '{'
    # result += '"headers":{'+headers+'}'
    # result += ','
    # result += '"tabla":{'+tabla+'}'
    # result += ','
    # result += '"info":'+info
    # result += ','
    # result += '"modal":{'+modal+'}'
    # result += '}'
    result = '{"headers":'+headers+',"tabla":'+tabla+',"info":'+info+',"modal":'+modal+'}'

    # print(result)
    return(result)
